## yabause 0.9.10

=== debian/changelog ===
yabause (0.9.10-2) unstable; urgency=low

  * debian/control:
    + Really remove DM-Upload-allowed.
    + Section: otherosfs as suggested by the ftp-masters.
    + Add dh-autoreconf build-dep.
    + Standards-Version: 3.9.2
    + Drop quilt build-dep.
  * Add 01_link_with_pthread.patch to fix FTBFS with binutils-gold.
    Closes: #556767
  * debian/rules:
    + Call dh_autoreconf(_clean) where needed.
    + Drop quilt calls.
  * Switch to format "3.0 (quilt)".

 -- Evgeni Golov <evgeni@debian.org>  Thu, 05 May 2011 11:13:35 +0200

yabause (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update my email-address.
    + Remove DM-Upload-Allowed: yes.
    + Standards-Version: 3.8.1.
    + Add B-D on libopenal-dev.
  * debian/patches/01-fix_qt_build.patch:
    + Remove patch, it was taken from upstream CVS and is present in
      the current release.
  * debian/rules:
    + Do not sed the desktop files, upstream does this for us.
    + Do not install gtk manpage as qt one, qt port has an own now.
  * debian/yabause-qt.install:
    + Install upstream manpage.
  * debian/copyright:
    + Update copyright information and refresh dates.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 02 Jun 2009 09:32:34 +0200

yabause (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update the short-descriptions to reflect upstream naming change.
    + Add a new yabause-common package, containing images and translations.
    + Add Build-Dep on libmini18n-dev, so we can enable translations.
      Closes: #508166
    + Set DM-Upload-Allowed: yes - I am DM now.
  * debian/rules:
    + Upstream now supports --programm-suffix, so we don't need to rename
      files on our own so much.
    + Rename build-%/Makefile to build-%/config-stamp, so the Makefile
      isn't erased.
    + Don't change the Icon-field in the .desktop files.
  * debian/yabause-{gtk,qt}.install:
    + yabause-common contains yabause.png, so no need to install
      yabause-{gtk,qt}.png in the appropriate packages.
  * debian/patches:
    + Add 01-fix_qt_build.patch so the Qt build does not FTBFS when built
      out of source, imported from Upstream.

 -- Evgeni Golov <sargentd@die-welt.net>  Sat, 07 Mar 2009 22:15:38 +0100

yabause (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Don't use rm in the clean target, use dh_clean instead.
    + Use more debhelper 7 helpers.
    + Use $(QUILT_STAMPFN) instead of patch, so configure isn't run twice.
    + Use more make magic to build the two interfaces.
  * debian/control:
    + Add alternatives to Build-Depends.
    + Build-Depend on debhelper 7.
    + Add ${misc:Depends} to yabause's Depends to please lintian.
  * debian/series:
    + Make lintian happy by putting a single # into series.

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 03 Dec 2008 19:41:09 +0100

yabause (0.9.7-1) unstable; urgency=low

  * New upstream release.
    + Drop patches/updates_from_cvs_since_0.9.6.patch.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 04 Sep 2008 00:05:47 +0200

yabause (0.9.6-2) unstable; urgency=low

  * Import some changes from upstream CVS to improve stability and the GUI.
    + Use quilt for handling this patch.
    + Add README.Debian about quilt-usage. 

 -- Evgeni Golov <sargentd@die-welt.net>  Fri, 08 Aug 2008 21:45:46 +0200

yabause (0.9.6-1) unstable; urgency=low

  * Initial release (Closes: #483124)

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 09 Jul 2008 09:37:54 +0200
