## yabause 0.9.11

=== debian/changelog ===
yabause (0.9.11-1) unstable; urgency=low

  * New upstream release.
    + Switch build system from autotools to cmake.
    + Closes: #650255
  * Switch to dh7 "tiny" rules.
  * Fix typos spotted by lintian.
    + 02_typos.patch added
  * Use debhelper compat 9 for hardening buildflags.
    + also fix build with -Werror=format-security with
      03_fix_build_with_hardeningflags.patch
  * Update binutils-gold patch.
    + Renamed patch to 01_link_with_libm.patch
  * Fix segfault in dynarec sh2 deinit with patch from upstream
    + 04_dynarec_segfault_fix.patch added

 -- Evgeni Golov <evgeni@debian.org>  Tue, 29 Nov 2011 13:05:24 +0100
