=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, pkg-config,
+Build-Depends: debhelper (>= 8.9.0~), cmake, pkg-config,
  libgl1-mesa-dev | libgl-dev, freeglut3-dev | libglut-dev, libglu1-mesa-dev | libglu-dev,
  libsdl1.2-dev, libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev,
  libqt4-dev, libqt4-opengl-dev, libmini18n-dev, libopenal-dev,
