=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,-z,defs -Wl,--as-needed
export LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DYAB_MULTIBUILD=1
