## yabause 0.9.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,12 @@
 
 cmake_minimum_required(VERSION 2.8)
 
+set(YAB_PACKAGE yabause)
 set(YAB_VERSION_MAJOR 0)
 set(YAB_VERSION_MINOR 9)
 set(YAB_VERSION_PATCH 11)
-set(YAB_VERSION "${YAB_VERSION_MAJOR}.${YAB_VERSION_MINOR}.${YAB_VERSION_PATCH}")
+set(YAB_VERSION_INC 1)
+set(YAB_VERSION "${YAB_VERSION_MAJOR}.${YAB_VERSION_MINOR}.${YAB_VERSION_PATCH}.${YAB_VERSION_INC}")
 
 set(CPACK_SOURCE_GENERATOR TGZ)
 set(CPACK_PACKAGE_VERSION_MAJOR ${YAB_VERSION_MAJOR})
