=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,11 @@
 	set(yabause_SOURCES ${yabause_SOURCES} scsp.c)
 endif()
 
+# math library
+if (UNIX)
+    set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} "m")
+endif()
+
 # Bigendian
 include(TestBigEndian)
 test_big_endian(WORDS_BIGENDIAN)
@@ -126,7 +131,7 @@
 
 if (MINI18N_FOUND)
 	if (UNIX)
-		add_definitions(-DYTSDIR=\"${CMAKE_INSTALL_PREFIX}/share/${PACKAGE}/yts\")
+		add_definitions(-DYTSDIR=\"${CMAKE_INSTALL_PREFIX}/share/${YAB_PACKAGE}/yts\")
 	elseif (WIN32)
 		add_definitions(-DYTSDIR=\"trans\")
 	endif()
@@ -328,7 +333,7 @@
 	set(CMAKE_C_FLAGS "-O3 -mcpu=cortex-a8 -mfpu=vfp -mfloat-abi=softfp")
 endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "armv7l")
 
-add_definitions(-DPACKAGE=\"yabause\")
+add_definitions(-DPACKAGE=\"${YAB_PACKAGE}\")
 add_definitions(-DVERSION=\"${YAB_VERSION}\")
 
 add_library(yabause ${yabause_SOURCES})
@@ -353,6 +358,11 @@
 	set(YAB_PORT_BUILT TRUE PARENT_SCOPE)
 endmacro(yab_port_success)
 
+set(YAB_MAN_DIR "share/man")
+if (NOT $ENV{PKGMANDIR} STREQUAL "")
+    set(YAB_MAN_DIR $ENV{PKGMANDIR})
+endif ()
+
 option(YAB_MULTIBUILD "Choose wether to build all ports or only a single one")
 set(YAB_PORT_BUILT FALSE)
 set(YAB_PORTS "gtk;qt;windows;dreamcast;wii" CACHE STRING "List of ports to build")
