=== src/qt/CMakeLists.txt ===
--- 
+++ 
@@ -141,5 +141,5 @@
 
 install(TARGETS yabause-qt DESTINATION "bin")
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${YAB_PORT_NAME}.desktop DESTINATION "share/applications")
-install(FILES "doc/yabause.1" DESTINATION "share/man/man1" RENAME "${YAB_PORT_NAME}.1")
+install(FILES "doc/yabause.1" DESTINATION "${YAB_MAN_DIR}/man1" RENAME "${YAB_PORT_NAME}.1")
 install(FILES "resources/icons/yabause.png" DESTINATION "share/pixmaps")
