=== debian/changelog ===
yabause (0.9.11.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop all patches, they were either taken from upstream SVN or
    were applied upstream in this release.
  * Properly enable hardening flags.
    Thanks: Simon Ruderich <simon@ruderich.org>
    Closes: #662969
    Added patch: use_dpkg_buildflags.patch
  * Disable dynarec on armel/armhf.
    Added patch: disable_dynarec_on_arm.patch
    Closes: #654615
    LP: #944749
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Sat, 05 May 2012 17:16:08 +0200
