=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libsdl1.2-dev, libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev,
  libqt4-dev, libqt4-opengl-dev, libmini18n-dev, libopenal-dev,
  dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://yabause.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/yabause/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/yabause/
